<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js" integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo" crossorigin="anonymous"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js" integrity="sha384-UO2eT0CpHqdSJQ6hJty5KVphtPhzWj9WO1clHTMGa3JDZwrnQq4sF86dIHNDz0W1" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js" integrity="sha384-JjSmVgyd0p3pXB1rRibZUAYoIIy6OrQ6VrjIEaFf/nJGzIxFDsf4x0xIM+B07jRM" crossorigin="anonymous"></script>

    <title>Orders</title>
</head>
<body>
<nav class="navbar navbar-expand-lg navbar-light bg-light">
    <div class="navbar-nav">
        <div class="nav-item ">
            <a class="nav-link" href="/products/">Products <span class="sr-only"></span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link active" href="/orders/">Orders <span class="sr-only">(current)</span></a>
        </div>
        <div class="nav-item">
            <a class="nav-link " href="/products/add">New Product <span class="sr-only"></span></a>
        </div>
        <div class="nav-item ">
            <a class="nav-link" href="/orders/add">New Order <span class="sr-only"></span></a>
        </div>
    </div>
</nav>
<div th:switch="${#lists.isEmpty(orders)}">
    <h2 th:case="true">No orders found!</h2>
    <div th:case="*">
        <h2>Orders</h2>
        <!-- Button trigger modal -->
        <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModal">
            Find Order
        </button>
        <table class="table">
            <thead class="thead-dark">
            <tr>
                <th>ID</th>
                <th>Client</th>
                <th>Status</th>
                <th>Products in order</th>
                <th>Add to Order</th>
            </tr>
            </thead>
            <tbody>
            <tr th:each="order : ${orders}">
                <td th:text="${order.id}"></td>
                <td th:text="${order.clientId}"></td>
                <td th:text="${order.status}"></td>
                <td th:text="${#lists.size(order.products)}"></td>
                <td><a class="btn btn-primary" th:href="@{'/orders/addOrder/'+${order.id}}">Add Products</a></td>
            </tr>
            </tbody>
        </table>
    </div>
    <p><a href="/orders/add">Add a new order</a></p>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalLabel">Find Order</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <div class="modal-body">
                <form action="#" method="post" th:action="@{/orders/findOrderById}" th:object="${order}">
                    <div class="form-group">
                        <label for="orderId">Find By ID</label>
                        <input th:field="*{id}" type="number" class="form-control" id="orderId" placeholder="Order ID">
                    </div>
                    <button type="submit" class="btn btn-primary">Find</button>
                </form>
                <form action="#" method="post" th:action="@{/orders/findOrderByName}" th:object="${order}">
                    <div class="form-group">
                        <label for="clientId">Find By Client ID</label>
                        <input th:field="*{clientId}" type="number" class="form-control" id="clientId" placeholder="Client ID">
                    </div>
                    <button type="submit" class="btn btn-primary">Find</button>
                </form>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-dismiss="modal">Close</button>
            </div>
        </div>
    </div>
</div>
</body>
</html>
